package com.hzya.frame.plugin.cinvoice.dto;

import java.math.BigDecimal;

/**
 * @Description 增值税电子普通发票（通行费）明细表参数
 * @Author xiangerlin
 * @Date 2025/5/15 17:41
 **/
public class TxfItemInfo {
    private String xh;//序号
    private String ssflbm;//税收分类编码
    private String xmmc;//项目名称
    private String cph;//车牌号
    private String lx;//类型
    private String txrqq;//通行日期起 yyyy-MM-dd HH:mm:ss
    private String txrqz;//通行日期止 yyyy-MM-dd HH:mm:ss
    private BigDecimal je;//金额
    private BigDecimal slv;//税率
    private BigDecimal se;//税额

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh;
    }

    public String getSsflbm() {
        return ssflbm;
    }

    public void setSsflbm(String ssflbm) {
        this.ssflbm = ssflbm;
    }

    public String getXmmc() {
        return xmmc;
    }

    public void setXmmc(String xmmc) {
        this.xmmc = xmmc;
    }

    public String getCph() {
        return cph;
    }

    public void setCph(String cph) {
        this.cph = cph;
    }

    public String getLx() {
        return lx;
    }

    public void setLx(String lx) {
        this.lx = lx;
    }

    public String getTxrqq() {
        return txrqq;
    }

    public void setTxrqq(String txrqq) {
        this.txrqq = txrqq;
    }

    public String getTxrqz() {
        return txrqz;
    }

    public void setTxrqz(String txrqz) {
        this.txrqz = txrqz;
    }

    public BigDecimal getJe() {
        return je;
    }

    public void setJe(BigDecimal je) {
        this.je = je;
    }

    public BigDecimal getSlv() {
        return slv;
    }

    public void setSlv(BigDecimal slv) {
        this.slv = slv;
    }

    public BigDecimal getSe() {
        return se;
    }

    public void setSe(BigDecimal se) {
        this.se = se;
    }
}
